Skip to main content
`Ctrl`+`K`

# PCFactorSetColumnPivot

Determines when column pivoting is done during matrix factorization. For PETSc dense matrices column pivoting is always done, for PETSc sparse matrices it is never done. For the MATLAB and `MATSOLVERSUPERLU` factorization this is used.

## Synopsis

    #include "petscpc.h"
    PetscErrorCode PCFactorSetColumnPivot(PC pc, PetscReal dtcol)

Logically Collective

## Input Parameters

- pc - the preconditioner context

- dtcol - 0.0 implies no pivoting, 1.0 complete pivoting (slower, requires more memory but more stable)

## Options Database Key

- -pc_factor_pivoting dtcol - perform the pivoting with the given tolerance

## See Also

KSP: Linear System Solvers, `PCLU`, `PCCHOLESKY`, `PCILU`, `PCICC`, `PCILUSetMatOrdering()`, `PCFactorSetPivotInBlocks()`

## Level

intermediate

## Location

src/ksp/pc/impls/factor/factor.c

## Implementations

PCFactorSetColumnPivot_Factor() in src/ksp/pc/impls/factor/factimpl.c

Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages